from django.contrib import admin

from .models import Domain, ImportedIdentifierSets


class DomainAdmin(admin.ModelAdmin):
    list_display = ('name', 'owner', 'open_registration')
    list_filter = ('name', 'owner', 'open_registration')


admin.site.register(Domain, DomainAdmin)


class ImportedIdentifierSetsAdmin(admin.ModelAdmin):
    list_display = ('name', 'hash', 'created_at')
    list_filter = ('name', 'hash', 'created_at')


admin.site.register(ImportedIdentifierSets, ImportedIdentifierSetsAdmin)
